import { memo } from 'react';

import classes from './Error.module.css';

function Error({ message, onClearError }) {
  console.log('Wykonywana jest funkcja tworząca komponent <Error />.');
  if (!message) {
    return null;
  }

  return (
    <div className={classes.error}>
      <p>{message}</p>
      <button className={classes.errorBtn} onClick={onClearError}>X</button>
    </div>
  );
}

export default memo(Error);
